C******************** START FILE UGLINE.FOR ; GROUP UFHELP ******************
C-----------------------------
C&  UGLINE  GET ONE LINE FROM INPUT FILE (UREAD HELP)
C
      SUBROUTINE UGLINE(ZLINE,LUN,IEND,IDELIM)
C
      CHARACTER*(*) ZLINE
      CHARACTER*5 ZDELIM,ZTEST
      DATA ZDELIM/'<*=*>'/
C
C  ZLINE-- INPUT LINE BUFFER
C   LUN  INPUT FILE LOGICAL UNIT NUMBER
C   IEND:  SET TO 1 IF END-OF-FILE ON READ
C   IDELIM:  SET TO 1 IF DELIMITER SYMBOL "<*=*>" ENCOUNTERED
C
      IEND=0
      IDELIM=0
      READ(LUN,1000,END=100) ZLINE
 1000 FORMAT(A)
      ZTEST=ZLINE(1:5)
      IF(ZTEST.EQ.ZDELIM) IDELIM=1
      RETURN
 100  CONTINUE
      IEND=1
      RETURN
      	END
C******************** END FILE UGLINE.FOR ; GROUP UFHELP ******************
